Skip to Content

List Providers

List all supported integrations with their resources, operations, and argument schemas.

Request

GET /v1/providers

Headers

HeaderValue
AuthorizationBearer YOUR_API_KEY

Response

200 OK

{ "providers": [ { "id": "tmobile", "name": "T-Mobile", "resources": [ { "name": "paymentMethod", "operations": { "read": { "description": "List saved payment methods on the account", "arguments": null, "result": { ... } }, "write": { "description": "Add a new payment method to the account", "arguments": { "type": "object", "properties": { "cardNumber": { "type": "string" }, "expirationDate": { "type": "string" }, "cvv": { "type": "string" }, "nameOnCard": { "type": "string" }, "billingZip": { "type": "string" }, "dryRun": { "type": "boolean" } }, "required": ["cardNumber", "expirationDate", "cvv", "nameOnCard", "billingZip"] }, "result": { ... } } } }, { "name": "mobileBillingStatement", "operations": { "read": { "description": "Retrieve billing statement history", "arguments": { ... }, "result": { ... } } } } ] } ] }

Response structure

Each provider entry contains:

FieldTypeDescription
idstringIntegration identifier (used in POST /v1/links)
namestringHuman-readable name
resourcesarrayAvailable resources
resources[].namestringResource identifier (used in POST /v1/links)
resources[].operationsobjectMap of action name to operation definition
resources[].operations[action].descriptionstringWhat this operation does
resources[].operations[action].argumentsobject | nullJSON Schema for the operation’s arguments, or null if no arguments are needed
resources[].operations[action].resultobject | nullJSON Schema describing the canonical result shape for this operation, or null if unspecified

Notes

  • Use this endpoint to discover valid integrationId + resource + action combinations for POST /v1/links
  • The arguments field is a JSON Schema that describes what data can be passed when creating a link
  • The result field is a JSON Schema describing the shape of the result object returned in webhooks and GET /v1/links/:id when the operation completes successfully
  • Operations with arguments: null require no arguments
Last updated on